Bug 24371 - OPAC 'Showing only available items/Show all items' is double encoded
Summary: OPAC 'Showing only available items/Show all items' is double encoded
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on: 13618
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-07 18:52 UTC by Lucas Gass
Modified: 2020-02-10 03:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 24371: Change URI filter to $raw (1.53 KB, patch)
2020-01-07 18:57 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24371: Change URI filter to $raw (1.59 KB, patch)
2020-01-08 23:13 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24371: Fix "Show all items" avaibility link (use $raw filter) (2.04 KB, patch)
2020-01-10 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24371: Fix "Show all items" avaibility link (use $raw filter) - intra (2.04 KB, patch)
2020-01-10 08:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-01-07 18:52:58 UTC
The show all items link is double encoded when attempt to limit a seach via the facets and toggle 'Showing only available items/Show all items'  

To Recreate:
1. Make an OPAC search with plenty of results.
2. Use the search facets to limit the search in some way, item type, author, etc.
3. Click on 'Limit to currently available items', everything is still fine.
4. Attempt to return to 'Show all items', there will be no search results.


The ':' is being double encoded here. (%253A). I think...
Comment 1 Lucas Gass 2020-01-07 18:57:29 UTC
Created attachment 96953 [details] [review]
Bug 24371: Change URI filter to $raw

TO TEST:
1. Make an OPAC search with plenty of results.
2. Use the search facets to limit the search in some way, item type, author, etc.
3. Click on 'Limit to currently available items', everything is still fine.
4. Attempt to return to 'Show all items', there will be no search results.
5. Apply patch
6. Ateempt steps 1-4 again.
7. Should work this time.
Comment 2 ByWater Sandboxes 2020-01-08 23:13:44 UTC
Created attachment 97060 [details] [review]
Bug 24371: Change URI filter to $raw

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>
Comment 3 Jonathan Druart 2020-01-10 08:57:08 UTC
Created attachment 97164 [details] [review]
Bug 24371: Fix "Show all items" avaibility link (use $raw filter)

TO TEST:
1. Make an OPAC search with plenty of results.
2. Use the search facets to limit the search in some way, item type, author, etc.
3. Click on 'Limit to currently available items', everything is still fine.
4. Attempt to return to 'Show all items', there will be no search results.
5. Apply patch
6. Ateempt steps 1-4 again.
7. Should work this time.

Signed-off-by: Rhonda Kuiper <rkuiper@roundrocktexas.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-01-10 08:57:11 UTC
Created attachment 97165 [details] [review]
Bug 24371: Fix "Show all items" avaibility link (use $raw filter) - intra

Same fix for the intranet side

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Martin Renvoize 2020-01-10 10:51:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-30 23:57:06 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Lucas Gass 2020-02-05 22:05:28 UTC
backported to 19.05.x for 19.05.08
Comment 8 Hayley Mapley 2020-02-10 03:56:11 UTC
Backported to 18.11.x for 18.11.14.